﻿# Netmash.Security.Authentication.Tuitio

[Tuitio](https://lab.code-rove.com/gitea/tudor.stanciu/tuitio) is a simple identity server implementation focused strictly on the needs of my home lab.

***Netmash.Security.Authentication.Tuitio*** is a NuGet package that configures authentication with a Tuitio instance in a .NET environment for a .NET API.
Once the package is installed, all the developer has to do is call the ```AddTuitioAuthentication``` method at application startup. After this step, the ```[Authorize]``` attribute can be added to any controller from application.

**Code snippet:**
```c=!
public static void ConfigureServices(this IServiceCollection services, IConfiguration configuration)
{
    services.AddTuitioAuthentication("httpe://<domain>/tuitio/api/");
}
```

## Package repository
Netmash.Security.Authentication.Tuitio can be installed from my self hosted NuGet feed: https://lab.code-rove.com/public-nuget-server/

## Installation

### Visual Studio

#### NuGet.config file
```xml=!
<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <packageSources>
    <clear />
    <add key="nuget.org" value="https://api.nuget.org/v3/index.json" />
    <add key="lab.nuget" value="https://lab.code-rove.com/public-nuget-server/v3/index.json" />
  </packageSources>
</configuration>
```

Configure the above file in the Visual Studio solution or set the new NuGet feed in NuGet Package Manager. After one of this steps, Netmash.Security.Authentication.Tuitio can be installed using NuGet Package Manager.


### CLI

```bash=!
dotnet add package Netmash.Security.Authentication.Tuitio --source https://lab.code-rove.com/public-nuget-server/v3/index.json
```

Run the above command in a console open in a .NET project directory.